%define upstream_name    Module-Extract-Namespaces
%define upstream_version 1.026

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extract the package declarations from a module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(PPI) >= 1.270.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(version) >= 0.860.0
BuildArch:  noarch

%description
This module extracts package declarations from Perl code without running
the code.

It does not extract:

* * packages declared dynamically (e.g. in 'eval')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 22 2025 tv <tv> 1.26.0-1.mga10
+ Revision: 2178092
- update to 1.026

* Mon Jan 27 2025 tv <tv> 1.25.0-1.mga10
+ Revision: 2142704
- update to 1.025

* Sun Feb 11 2024 tv <tv> 1.24.0-1.mga10
+ Revision: 2040404
- update to 1.024

* Wed Mar 23 2022 umeabot <umeabot> 1.23.0-2.mga9
+ Revision: 1821035
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 tv <tv> 1.23.0-1.mga9
+ Revision: 1769713
- update to 1.023

* Thu Feb 25 2021 tv <tv> 1.22.0-1.mga9
+ Revision: 1691407
- update to 1.022

* Wed Feb 12 2020 umeabot <umeabot> 1.21.0-3.mga8
+ Revision: 1505163
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.21.0-2.mga7
+ Revision: 1284785
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 1.21.0-1.mga7
+ Revision: 1182054
- update to 1.021

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-6.mga6
+ Revision: 1029979
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.20.0-5.mga6
+ Revision: 934228
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 749369
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.20.0-3.mga5
+ Revision: 727644
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 685424
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 587333
- update to 1.02

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 527097
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.10.0-1.mga4
+ Revision: 439542
- update to 1.01

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 369792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 33951
- mageia rebuild
- imported package perl-Module-Extract-Namespaces

